Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.compiler
Class TransformSDB

    java.lang.Object
      com.hp.hpl.jena.sparql.algebra.TransformCopy
          com.hp.hpl.jena.sdb.compiler.TransformSDB

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.algebra.Transform

    public class TransformSDB

extends com.hp.hpl.jena.sparql.algebra.TransformCopy

Field Summary

Fields inherited from class com.hp.hpl.jena.sparql.algebra.TransformCopy
`COPY_ALWAYS, COPY_ONLY_ON_CHANGE`

Constructor Summary
`TransformSDB(SDBRequest request, QuadBlockCompiler quadBlockCompiler)`

Method Summary
`com.hp.hpl.jena.sparql.algebra.Op` | `transform(com.hp.hpl.jena.sparql.algebra.op.OpBGP opBGP)`
`com.hp.hpl.jena.sparql.algebra.Op` | `transform(com.hp.hpl.jena.sparql.algebra.op.OpDatasetNames opDatasetNames)`
`com.hp.hpl.jena.sparql.algebra.Op` | `transform(com.hp.hpl.jena.sparql.algebra.op.OpDistinct opDistinct, com.hp.hpl.jena.sparql.algebra.Op subOp)`
`com.hp.hpl.jena.sparql.algebra.Op` | `transform(com.hp.hpl.jena.sparql.algebra.op.OpFilter opFilter, com.hp.hpl.jena.sparql.algebra.Op op)`
`com.hp.hpl.jena.sparql.algebra.Op` | `transform(com.hp.hpl.jena.sparql.algebra.op.OpJoin opJoin, com.hp.hpl.jena.sparql.algebra.Op left, com.hp.hpl.jena.sparql.algebra.Op right)`
`com.hp.hpl.jena.sparql.algebra.Op` | `transform(com.hp.hpl.jena.sparql.algebra.op.OpLeftJoin opJoin, com.hp.hpl.jena.sparql.algebra.Op left, com.hp.hpl.jena.sparql.algebra.Op right)`
`com.hp.hpl.jena.sparql.algebra.Op` | `transform(com.hp.hpl.jena.sparql.algebra.op.OpProject opProject, com.hp.hpl.jena.sparql.algebra.Op subOp)`
`com.hp.hpl.jena.sparql.algebra.Op` | `transform(com.hp.hpl.jena.sparql.algebra.op.OpQuadPattern quadPattern)`
`com.hp.hpl.jena.sparql.algebra.Op` | `transform(com.hp.hpl.jena.sparql.algebra.op.OpService opService, com.hp.hpl.jena.sparql.algebra.Op subOp)`
`com.hp.hpl.jena.sparql.algebra.Op` | `transform(com.hp.hpl.jena.sparql.algebra.op.OpTable opTable)`

Methods inherited from class com.hp.hpl.jena.sparql.algebra.TransformCopy
`transform, transform, transform, transform, transform, transform, transform, transform, transform, transform, transform, transform, transform, transform, transform, transform, transform, transform, transform, transform, transform`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformSDB

    public TransformSDB(SDBRequest request,
                        QuadBlockCompiler quadBlockCompiler)

Method Detail

### transform

    public com.hp.hpl.jena.sparql.algebra.Op transform(com.hp.hpl.jena.sparql.algebra.op.OpBGP opBGP)

  Specified by:
    `transform` in interface `com.hp.hpl.jena.sparql.algebra.Transform`
  Overrides:
    `transform` in class `com.hp.hpl.jena.sparql.algebra.TransformCopy`

### transform

    public com.hp.hpl.jena.sparql.algebra.Op transform(com.hp.hpl.jena.sparql.algebra.op.OpQuadPattern quadPattern)

  Specified by:
    `transform` in interface `com.hp.hpl.jena.sparql.algebra.Transform`
  Overrides:
    `transform` in class `com.hp.hpl.jena.sparql.algebra.TransformCopy`

### transform

    public com.hp.hpl.jena.sparql.algebra.Op transform(com.hp.hpl.jena.sparql.algebra.op.OpJoin opJoin,
                                                       com.hp.hpl.jena.sparql.algebra.Op left,
                                                       com.hp.hpl.jena.sparql.algebra.Op right)

  Specified by:
    `transform` in interface `com.hp.hpl.jena.sparql.algebra.Transform`
  Overrides:
    `transform` in class `com.hp.hpl.jena.sparql.algebra.TransformCopy`

### transform

    public com.hp.hpl.jena.sparql.algebra.Op transform(com.hp.hpl.jena.sparql.algebra.op.OpLeftJoin opJoin,
                                                       com.hp.hpl.jena.sparql.algebra.Op left,
                                                       com.hp.hpl.jena.sparql.algebra.Op right)

  Specified by:
    `transform` in interface `com.hp.hpl.jena.sparql.algebra.Transform`
  Overrides:
    `transform` in class `com.hp.hpl.jena.sparql.algebra.TransformCopy`

### transform

    public com.hp.hpl.jena.sparql.algebra.Op transform(com.hp.hpl.jena.sparql.algebra.op.OpFilter opFilter,
                                                       com.hp.hpl.jena.sparql.algebra.Op op)

  Specified by:
    `transform` in interface `com.hp.hpl.jena.sparql.algebra.Transform`
  Overrides:
    `transform` in class `com.hp.hpl.jena.sparql.algebra.TransformCopy`

### transform

    public com.hp.hpl.jena.sparql.algebra.Op transform(com.hp.hpl.jena.sparql.algebra.op.OpTable opTable)

  Specified by:
    `transform` in interface `com.hp.hpl.jena.sparql.algebra.Transform`
  Overrides:
    `transform` in class `com.hp.hpl.jena.sparql.algebra.TransformCopy`

### transform

    public com.hp.hpl.jena.sparql.algebra.Op transform(com.hp.hpl.jena.sparql.algebra.op.OpDistinct opDistinct,
                                                       com.hp.hpl.jena.sparql.algebra.Op subOp)

  Specified by:
    `transform` in interface `com.hp.hpl.jena.sparql.algebra.Transform`
  Overrides:
    `transform` in class `com.hp.hpl.jena.sparql.algebra.TransformCopy`

### transform

    public com.hp.hpl.jena.sparql.algebra.Op transform(com.hp.hpl.jena.sparql.algebra.op.OpProject opProject,
                                                       com.hp.hpl.jena.sparql.algebra.Op subOp)

  Specified by:
    `transform` in interface `com.hp.hpl.jena.sparql.algebra.Transform`
  Overrides:
    `transform` in class `com.hp.hpl.jena.sparql.algebra.TransformCopy`

### transform

    public com.hp.hpl.jena.sparql.algebra.Op transform(com.hp.hpl.jena.sparql.algebra.op.OpService opService,
                                                       com.hp.hpl.jena.sparql.algebra.Op subOp)

  Specified by:
    `transform` in interface `com.hp.hpl.jena.sparql.algebra.Transform`
  Overrides:
    `transform` in class `com.hp.hpl.jena.sparql.algebra.TransformCopy`

### transform

    public com.hp.hpl.jena.sparql.algebra.Op transform(com.hp.hpl.jena.sparql.algebra.op.OpDatasetNames opDatasetNames)

  Specified by:
    `transform` in interface `com.hp.hpl.jena.sparql.algebra.Transform`
  Overrides:
    `transform` in class `com.hp.hpl.jena.sparql.algebra.TransformCopy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.